geomview (1.9.5-6) unstable; urgency=medium

  * Team upload.

  [ Alexandre Detiste ]
  * Fix team name.

  [ Adrian Bunk ]
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    Closes: #1096696.
  * Fix the build with 64-bit time_t on 32-bit instead of restricting
    the architectures.
  * Don't hardcode the build awk in gvclock. Closes: #1116397.

  [ Santiago Vila ]
  * Add Depends on sensible-utils, used by /usr/libexec/geomview/gvx.
  * Convert watch file to version 5 format.
  * Fix clean target. Closes: #1044804.
  * Update standards-version.
  * Add debian/salsa-ci.yml.

 -- Santiago Vila <sanvila@debian.org>  Fri, 26 Sep 2025 22:50:00 +0200

geomview (1.9.5-5) unstable; urgency=medium

  [ Steve Robbins ]
  * [be13c14] Install desktop icon
  * [594c6ac] Build on 64bits only.  Closes: #1088201.
  * [e2e9dcd] Fixes to remove lintian warnings
  * [740b0f9] remove executable bit

 -- Steve M. Robbins <smr@debian.org>  Mon, 25 Nov 2024 00:20:59 -0600

geomview (1.9.5-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062099

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 16:56:54 +0000

geomview (1.9.5-4) unstable; urgency=medium

  [ Steve Robbins ]
  * [3a43aa2] Remove geomview dependency on install-info.  Closes: #1013692
  * [8417b34] Update debhelper to compat level 13.  (Prep for upcoming patch to
    configure.ac)
  * [cec8859] Add patch from Helmut Grohne.  Closes: #1001124

 -- Steve M. Robbins <smr@debian.org>  Sat, 15 Oct 2022 18:33:51 -0500

geomview (1.9.5-3) unstable; urgency=medium

  [ Steven Robbins ]
  * Update texlive dependencies.  Add texlive-font-utils for epstopdf.
    Closes: #941523

 -- Steve M. Robbins <smr@debian.org>  Tue, 15 Oct 2019 23:15:12 -0500

geomview (1.9.5-2) unstable; urgency=medium

  * Team upload.
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * source/format: 3.0 (quilt)
  * Drop menu file
  * Switch from cdbs to dh
  * Drop tetex-bin alternative from Build-Depends
  * Standards-Version: 4.1.3
  * hardening=+all
  * Do not compress PDF files
    Closes: #830301

 -- Andreas Tille <tille@debian.org>  Thu, 25 Jan 2018 09:42:20 +0100

geomview (1.9.5-1) unstable; urgency=medium

  * New upstream version.  Closes: #782017.
    - patches/01_glob-redirect.diff: Remove.  Applied upstream.
    - patches/02_info-nofigs.diff: Remove.  No longer applies.
    - patches/04_sprintf-string-literal.patch: Remove. Fixed upstream.

  * control, rules: use autoreconf to support newer architectures.  Closes: #744579, #765211.

  * patches/10_link-gvx-with-opengl.patch: New.  Link with -GL.

  * README.Debian: Document environment variables for HTML and PDF viewers.  Closes: #782346.

  * rules: configure with evince as fall-back PDF viewer.  Closes: #567772.

 -- Steve M. Robbins <smr@debian.org>  Sun, 07 Jun 2015 22:25:09 -0500

geomview (1.9.4-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * control: Add missing dependency for the dev package. (Closes: #715082)
  * control: Depend on alternative pdf-viewer. (Closes: #567772)
  * new patch 05_math2oogl_mayhem.patch (Closes: #716299)
  * new patch 06_oogl2rib_mayhem.patch (Closes: #716186)
  * new patch 07_oogl2vrml_mayhem.patch (Closes: #716183)
  * new patch 08_oogl2vrml2_mayhem.patch (Closes: #716180)
  * new patch 09_anytoucd_mayhem.patch (Closes: #715637)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 11 Aug 2013 14:26:47 +0200

geomview (1.9.4-4) unstable; urgency=low

  * control: Change lestif --> motif.  Closes: #714659.

  * watch: New, thanks Daniel Leidert.  Closes: #676986.

 -- Steve M. Robbins <smr@debian.org>  Mon, 01 Jul 2013 13:42:56 -0500

geomview (1.9.4-3) unstable; urgency=low

  * rules: Disable strict-aliasing.  Empty dependency_libs in .la file.

  * patches/04_sprintf-string-literal.patch: New.  Ensure format strings
    are literals.  Closes: #643382.

  * geomview.menu:
  * geomview.xpm: New.
  * Install menu and associated icon.

  * geomview.desktop: Fix categories, remove encoding.  Set icon to
    geomview.xpm path.  Closes: #466995.

 -- Steve M. Robbins <smr@debian.org>  Tue, 11 Oct 2011 23:07:15 -0500

geomview (1.9.4-2) unstable; urgency=low

  * geomview.desktop: Add category Education.
  * menu: Change to section "Applications/Science/Mathematics".  Thanks
    Petter Reinholdtsen.  Closes: #567625.

  * rules: Remove usage of obsolete dh_desktop.

  * control: Replace build-dep xutils --> xutils-dev (for imake).  Remove
    homepage from description.  Add dep on "dpkg (>= 1.15.4) |
    install-info" to geomview.  Set Standards-Version to 3.8.3.0.

  * doc-base: Change to section "Science/Mathematics".  Remove nonstandard
    texi files.

  * patches/03_hvectext-hashbang.diff: New.  Update script beginning to
    use standard "#!/usr/bin/perl".

 -- Steve M. Robbins <smr@debian.org>  Sat, 30 Jan 2010 10:56:50 -0600

geomview (1.9.4-1) unstable; urgency=low

  * New upstream.  Closes: #441431.

 -- Steve M. Robbins <smr@debian.org>  Sun, 23 Sep 2007 21:36:30 -0500

geomview (1.9.3-1) unstable; urgency=low

  * New upstream.  Closes: #395474, #432044.
    - Remove all debian/patches.
    - HTML document displays images properly.  Closes: #402040.

  * debian/control: New packages libgeomview-1.9.3, libgeomview-dev,
  required to build geomview modules.  Update standards version to
  3.7.2.2.

  * debian/patches/01_glob-redirect.diff: New.  Application segfaults on
    startup with 2>&- redirect.  Change to 2>&1.

  * debian/patches/02_info-nofigs.diff: New.  Don't install PNG figures
    into info dir.

 -- Steve M. Robbins <smr@debian.org>  Sat, 01 Sep 2007 00:17:08 -0500

geomview (1.8.1-16) unstable; urgency=low

  * debian/rules: Switch to cdbs.  Add -fno-strict-aliasing because the
    build emits many "dereferencing type-punned pointer will break
    strict-aliasing rules" warnings.

  * Move all patches to source into debian/patches.

 -- Steve M. Robbins <smr@debian.org>  Mon, 27 Aug 2007 00:59:02 -0500

geomview (1.8.1-15) unstable; urgency=low

  * debian/control: Add build-depend on texlive-generic-recommended for
    access to epsf.tex.  Closes: #421821.  Change build-dep from
    libglut3-dev to freeglut3-dev.  Closes: #394493.

  * debian/rules: Install desktop file (thanks, Vassilis Pandis).
    Closes: #375516.

 -- Steve M. Robbins <smr@debian.org>  Sun,  6 May 2007 21:48:52 -0500

geomview (1.8.1-14) unstable; urgency=low

  * debian/control: Change from lesstif-dev to lesstif2-dev.
  Closes: #374239.

  * src/lib/gprim/geom/knownclass.c: Fix function prototypes using
  supplied patch (thanks, Karl Chen).  Closes: #366381.

  * debian/doc-base: Remove extra leading space on abstract.  Closes:
    #364857.

 -- Steve M. Robbins <smr@debian.org>  Thu, 22 Jun 2006 23:23:16 -0400

geomview (1.8.1-13) unstable; urgency=low

  * src/lib/oogl/util/futil.c: Patch to build on kFreeBSD.  Also update
    config.guess and config.sub from /usr/share/misc.  Closes: #340702.

  * debian/control: Remove libmesa-glu-dev from build-depends, apparently
  no longer needed.  Closes: #363304.

  * data/Makefile.am: Fix up installation of data files, part of #272094.

  * debian/rules: Set CPPFLAGS=-I/usr/X11R6/include/X11 at configure time
  in order to find forms.h.  I presume the recent xorg v7 move means that
  autoconf no longer sets x_includes=/usr/X11R6/include.

 -- Steve M. Robbins <smr@debian.org>  Sat, 22 Apr 2006 07:32:51 -0400

geomview (1.8.1-12) unstable; urgency=low

  * debian/control: Build for all architectures.  The ftp team is too slow
    to make changes.  Closes: #351235.

 -- Steve M. Robbins <smr@debian.org>  Thu,  2 Mar 2006 22:58:27 -0500

geomview (1.8.1-11) unstable; urgency=low

  * debian/control: restore alpha to architectures.  Closes: #314988.

 -- Steve M. Robbins <smr@debian.org>  Fri,  3 Feb 2006 00:16:15 -0500

geomview (1.8.1-10) unstable; urgency=low

  * debian/control: Add "texinfo" to build-deps so that command "makeinfo"
    is available.  Closes: #338773.

  * debian/control: Restrict architectures.  This package was not designed
  for 64-bit machines.  Closes: #314988.

 -- Steve M. Robbins <smr@debian.org>  Sat, 12 Nov 2005 13:04:55 -0500

geomview (1.8.1-9) unstable; urgency=low

  * geomview.sh: Exit with status 0 (not 1) when invoked with "-help"
    option.  Fix diagnostic emitted when invoked with "-graphics" and no
    alternatives exist.

  * debian/control: Build-depend on version 4 of debhelper.

  * debian/rules: Update to debhelper version 4.

  * Avoid implicitly converted pointer by compiling with _GNU_SOURCE
    defined so that fmemopen() is defined.  This also pulls in a
    definition of getline() that conflicts with that of
    src/bin/example/oogl.c.  However, the getline function of oogl.c is
    not used, so it is deleted.  Closes: #325033.

 -- Steve M. Robbins <smr@debian.org>  Sat, 17 Sep 2005 16:40:52 -0400

geomview (1.8.1-8) unstable; urgency=low

  * doc/geomview.texi: Apply patch to build without psfig.sty (thanks,
    Frank Küster).

  * debian/rules: Revert changes in 1.8.1-7; PS documentation is now built
    again.

 -- Steve M. Robbins <smr@debian.org>  Sun, 12 Sep 2004 13:40:05 -0400

geomview (1.8.1-7) unstable; urgency=low

  * debian/rules: Don't build geomview.ps since file psfig.sty has been
  removed from debian.  Closes: #264856.

  * debian/control: Build-depend on xutils to ensure "imake" is available;
  this allows the xforms libraries to be correctly detected.  Closes: #253669.

  * debian/control: Remove obsolete remark about non-inclusion of libforms
    modules.  Closes: #228891

  * debian/menu: Quote "X11".

  * src/bin/geomutil/plutil/offconsol.1: Set manpage section to "1".

 -- Steve M. Robbins <smr@debian.org>  Wed, 11 Aug 2004 23:43:35 -0400

geomview (1.8.1-6) unstable; urgency=low

  * configure.in: Link with math library unconditionally.  Needed
  for m68k.

  * Stereo module: Check for setmon binary, issue diagnostic if not
  found.  Closes: #180635.

  * debian/control(Build-Depends): Switch from xlibmesa-dev to
  xlibmesa-{gl,glu}-dev.

 -- Steve M. Robbins <smr@debian.org>  Sat, 25 Oct 2003 12:26:02 -0400

geomview (1.8.1-5) unstable; urgency=low

  * Apply sourceforge patch #803292, allowing to build with GCC 3.2.
    Thanks, Claus-Justus Heine.  Changes the license to GPL.
    Closes: #187088, #133300.

 -- Steve M. Robbins <smr@debian.org>  Sat, 11 Oct 2003 14:27:54 -0400

geomview (1.8.1-4) unstable; urgency=low

  * GCC 3.2 transition.
    Geomview does not build with GCC 3.x; build-depend on gcc-2.95.

  * XForms library is now in main.
    Build xforms modules.  Closes: #67189, #172625.

  * Update to policy 3.5.8.

 -- Steve M. Robbins <smr@debian.org>  Sun,  2 Feb 2003 17:11:51 -0500

geomview (1.8.1-3) unstable; urgency=low

  * debian/control: Specify xlibmesa-dev as preferred libgl-dev package.
    Closes: #142129.  Build-conflict with libutahglx-dev until that
    package is fixed or stops providing libgl-dev.

 -- Steve M. Robbins <smr@debian.org>  Sun, 27 Oct 2002 01:15:56 -0400

geomview (1.8.1-2) unstable; urgency=low

  * Only set FPU control word if _FPU_IEEE is defined.
    Closes: #123037.
  * Update config.{guess,sub}.
  * Do not use auto-* tools during build.

 -- Steve M. Robbins <smr@debian.org>  Sun, 13 Jan 2002 02:23:28 -0500

geomview (1.8.1-1) unstable; urgency=low

  * New upstream version.
    - fixes  non-appearing ToggleButton widgets.
  * Don't install INSTALL.Geomview.
  * Configure using --with-build-path=/usr/X11R6 to find motif.

 -- Steve M. Robbins <smr@debian.org>  Sat, 24 Mar 2001 17:08:13 -0500

geomview (1.8.0-5) unstable; urgency=low

  * Detect flavour of setgprp() and call appropriately;
    detect existence of fpu-setting function (Closes: Bug#86736).
  * Include manpages for bez2mesh, math2oogl, oogl2rib, oogl2vrml, and vrml2oogl.

 -- Steve M. Robbins <smr@debian.org>  Thu, 22 Feb 2001 23:49:18 -0500

geomview (1.8.0-4) unstable; urgency=low

  * Fix glibc glue code (Closes #67396).
  * Configure using --without-xforms (Closes #82571).
  * Don't install generic INSTALL.
  * Add "texi2html" to Build-Depends.
  * Update to policy 3.5.1.0:
    * Build without debugging symbols.

 -- Steve M. Robbins <smr@debian.org>  Sun, 18 Feb 2001 18:14:53 -0500

geomview (1.8.0-3) unstable; urgency=low

  * Removed Build-Conflicts line.
  * Upload to debian.  Closes: #68315

 -- Steve M. Robbins <smr@debian.org>  Tue, 28 Nov 2000 01:06:22 -0500

geomview (1.8.0-2) unstable; urgency=low

  * Make the diff file smaller by removing many generated files:
    debian "clean" rule runs "make maintainer-clean", then removes "configure",
    and all "Makefile.in" files.  Added a "preconfigure" rule to regenerate
    "configure" and friends.
  * Add Build-Depends: automake, autoconf for above.
  * Add Build-Conflicts: libforms to prevent inadvertantly linking with the
    non-free XFORMS library.

 -- Steven Michael Robbins <steven.robbins@videotron.ca>  Sat, 25 Nov 2000 10:29:16 -0500

geomview (1.8.0-1) unstable; urgency=low

  * New upstream version.

 -- Steven Michael Robbins <steven.robbins@videotron.ca>  Sat, 25 Nov 2000 10:29:16 -0500

geomview (1.7.10-1) unstable; urgency=low

  * New maintainer.
  * New upstream version.  Since it now uses autoconf, I threw away the
    old debian/* directory and started again with "dh_make".

 -- Steven Michael Robbins <steven.robbins@videotron.ca>  Sat,  4 Nov 2000 18:03:40 -0500

geomview (1.6.1.9-11.1) frozen unstable; urgency=low

  * NMU to fix RCB. Recompiled with the latest mesag-dev. Closes: #59585
  * Use -lGL & -lGLU instead of -lMesaGL & -lMesaGLU.

 -- Raphael Hertzog <hertzog@debian.org>  Tue, 21 Mar 2000 20:15:30 +0100

geomview (1.6.1.9-11) unstable; urgency=low

  * Fixed clean target. closes: #49016

 -- Randolph Chung <tausq@debian.org>  Sun,  7 Nov 1999 19:40:13 -0700

geomview (1.6.1.9-10) unstable; urgency=low

  * Fixed silly problem in debian/rules. Closes: #48557

 -- Randolph Chung <tausq@debian.org>  Thu, 28 Oct 1999 19:56:15 -0700

geomview (1.6.1.9-9) unstable; urgency=low

  * New maintainer
  * /usr/doc -> /usr/share/doc transition
  * Source build reorganization. Hope I didn't break anything :P Now uses
    doogie's dbs_make.
  * Includes original pristine sources, closes: #44236
  * Relinked with proper lesstif library, closes: #48165
  * Directory structure has been reorganized to be more FHS compliant

 -- Randolph Chung <tausq@debian.org>  Sun, 24 Oct 1999 23:45:34 -0700

geomview (1.6.1.9-8) unstable; urgency=low

  * Don't build contrib package ever.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Thu,  1 Jul 1999 04:35:16 -0700

geomview (1.6.1.9-7) unstable; urgency=low

  * Don't try to build contrib package if libforms not present

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Tue, 29 Jun 1999 15:57:58 -0700

geomview (1.6.1.9-6) unstable; urgency=low

  * A couple hacks so it compiles with glibc 2.1

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Sun, 27 Jun 1999 22:52:08 -0700

geomview (1.6.1.9-5) unstable frozen; urgency=low

  * Change a Recommends to Suggests.
  * Upload to both unstable and frozen.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Sat, 14 Nov 1998 17:05:03 -0700

geomview (1.6.1.9-4) unstable; urgency=low

  * Link against new mesag

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Fri, 30 Oct 1998 03:56:47 -0700

geomview (1.6.1.9-3) unstable; urgency=low

  * Link against new libstdc++
  * must leave explicit call to egcc .

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Mon, 28 Sep 1998 04:31:53 -0700

geomview (1.6.1.9-2) unstable; urgency=low

  * scripts in debian cannot be executable, so
    call them via 'perl scriptname'.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Fri,  4 Sep 1998 17:27:34 -0700

geomview (1.6.1.9-1) unstable; urgency=low

  * Newer upstream source fixes many bugs.
  * all compile errors gone.
  * works better with lesstif
  * opengl rendering now unstable, use x11 for default.
  * separate libforms-using items into separate package
    so geomview can go in main.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Mon, 17 Aug 1998 02:37:56 -0700

geomview (1.6.1-2) unstable; urgency=low

  * Changed description and distribution

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Wed, 12 Aug 1998 18:12:21 -0700

geomview (1.6.1-1) unstable; urgency=low

  * Initial Release.

 -- John Lapeyre <lapeyre@physics.arizona.edu>  Sun,  2 Aug 1998 15:07:15 -0700
